PGASendIndividual(4)

NAME
PGASendIndividual - transmit an individual to another process

INPUT PARAMETERS
ctx - context variable
p   - index of an individual
pop - symbolic constant of the population
dest
    - ID of the process where this is going
tag - MPI tag to send with the individual
comm
    - MPI communicator

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASendIndividual(ctx, p, pop, dest, tag, comm)
PGAContext *ctx
int p
int pop
int dest
int tag
MPI_Comm comm

LOCATION
parallel.c

EXAMPLE
PGAContext *ctx;
int p, dest;
:
dest = SelectAFreeProcessor();
PGASendIndividual(ctx, p, PGA_NEWPOP, dest, PGA_SR_STRINGTOEVAL, comm);